'
' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2010
' by DotNetNuke Corporation
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'


Imports System
Imports System.Configuration
Imports System.Data
Imports DotNetNuke
Imports DotNetNuke.Common.Utilities

Namespace DotNetNuke.Modules.Roadmap

    Public Class EnhancementCommentController

        Public Function GetEnhancementComments(ByVal EnhancementID As Integer) As ArrayList

            Return CBO.FillCollection(DataProvider.Instance().GetEnhancementComments(EnhancementID), GetType(EnhancementCommentInfo))

        End Function

        Public Function GetEnhancementComment(ByVal EnhancementCommentID As Integer, ByVal EnhancementID As Integer) As EnhancementCommentInfo

            Return CBO.FillObject(DataProvider.Instance().GetEnhancementComment(EnhancementCommentID, EnhancementID), GetType(EnhancementCommentInfo))

        End Function

        Public Sub DeleteEnhancementComment(ByVal EnhancementCommentID As Integer, ByVal EnhancementID As Integer)

            DataProvider.Instance().DeleteEnhancementComment(EnhancementCommentID, EnhancementID)

        End Sub

        Public Sub AddEnhancementComment(ByVal EnhancementId As Integer, ByVal Comment As String, ByVal UserId As Integer)

            DataProvider.Instance().AddEnhancementComment(EnhancementId, Comment, UserId)

        End Sub

        Public Sub UpdateEnhancementComment(ByVal EnhancementCommentId As Integer, ByVal EnhancementId As Integer, ByVal Comment As String)

            DataProvider.Instance().UpdateEnhancementComment(EnhancementCommentId, EnhancementId, Comment)

        End Sub

    End Class

End Namespace

