'
' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2010
' by DotNetNuke Corporation
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'


Imports System
Imports System.Configuration
Imports System.Data
Imports DotNetNuke
Imports DotNetNuke.Common.Utilities

Namespace DotNetNuke.Modules.Roadmap

    Public Class EnhancementVoteController

        Public Function GetEnhancementVote(ByVal EnhancementID As Integer, ByVal UserID As Integer) As EnhancementVoteInfo

            Return CType(CBO.FillObject(DataProvider.Instance().GetEnhancementVote(EnhancementID, UserID), GetType(EnhancementVoteInfo)), EnhancementVoteInfo)

        End Function

        Public Sub AddEnhancementVote(ByVal EnhancementId As Integer, ByVal UserID As Integer)

            DataProvider.Instance().AddEnhancementVote(EnhancementId, UserID)

        End Sub

    End Class

End Namespace

