<%@ Control language="vb" AutoEventWireup="false" Explicit="True" Inherits="DotNetNuke.Modules.Roadmap.Edit" Codebehind="Edit.ascx.vb" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<table width="500" cellspacing="0" cellpadding="0" border="0">
	<tr>
		<td colspan="2">&nbsp;</td>
	</tr>
	<tr>
		<td class="SubHead" valign="top" width="150">
		    <dnn:label id="plEnhancement" runat="server" controlname="cboEnhancement" suffix=":" Text="Enhancement:"></dnn:label>
		</td>
		<td>
            <asp:DropDownList ID="cboEnhancement" runat="server" CssClass="NormalTextBox" width="300" DataTextField="Title" DataValueField="EnhancementId" AutoPostBack="True"></asp:DropDownList>
		</td>
	</tr>
	<tr>
		<td colspan="2">&nbsp;</td>
	</tr>
	<tr>
		<td class="SubHead" valign="top" width="150">
		    <dnn:label id="plTitle" runat="server" controlname="txtTitle" suffix=":" Text="Title:"></dnn:label>
		</td>
		<td>
			<asp:TextBox id="txtTitle" CssClass="NormalTextBox" width="300" Columns="30" maxlength="50" runat="server" />
			<br>
			<asp:RequiredFieldValidator id="valTitle" Display="Dynamic" ErrorMessage="You Must Enter A Title For The Enhancement" ControlToValidate="txtTitle" runat="server" CssClass="NormalRed" />
		</td>
	</tr>
	<tr>
		<td class="SubHead" valign="top" width="150">
		    <dnn:label id="plURL" runat="server" controlname="txtURL" suffix=":" Text="URL:"></dnn:label>
		</td>
		<td>
			<asp:TextBox id="txtURL" CssClass="NormalTextBox" width="300" Columns="30" maxlength="125" runat="server" />
		</td>
	</tr>
	<tr>
		<td class="SubHead" valign="top" width="150">
			<dnn:label id="plDescription" runat="server" controlname="txtDescription" suffix=":" Text="Description:"></dnn:label>
		</td>
		<td>
			<asp:TextBox id="txtDescription" CssClass="NormalTextBox" width="300" Columns="30" Rows="5" TextMode="MultiLine" runat="server" />
		</td>
	</tr>
	<tr id="rowAuthorized" runat="server">
		<td class="SubHead" valign="bottom" width="150">
			<dnn:label id="plAuthorized" runat="server" controlname="chkAuthorized" suffix="?" Text="Authorized?"></dnn:label>
		</td>
		<td>
			<asp:CheckBox ID="chkAuthorized" Runat="server" CssClass="NormalTextBox"></asp:CheckBox>
		</td>
	</tr>
	<tr id="rowScheduled" runat="server">
		<td class="SubHead" valign="bottom" width="150">
			<dnn:label id="plScheduled" runat="server" controlname="txtScheduled" suffix=":" Text="Scheduled:"></dnn:label>
		</td>
		<td>
			<asp:TextBox id="txtScheduled" CssClass="NormalTextBox" width="300" Columns="30" maxlength="8" runat="server" />
		</td>
	</tr>
	<tr id="rowDelivered" runat="server">
		<td class="SubHead" valign="bottom" width="150">
			<dnn:label id="plDelivered" runat="server" controlname="txtDelivered" suffix=":" Text="Delivered:"></dnn:label>
		</td>
		<td>
			<asp:TextBox id="txtDelivered" CssClass="NormalTextBox" width="300" Columns="30" maxlength="8" runat="server" />
		</td>
	</tr>
	<tr>
		<td colspan="2">&nbsp;</td>
	</tr>
	<tr>
		<td class="SubHead" valign="top" width="150">
			<dnn:label id="plProblem" runat="server" controlname="txtProblem" suffix=":" Text="Problem:"></dnn:label>
		</td>
		<td>
			<asp:TextBox id="txtProblem" CssClass="NormalTextBox" width="300" Columns="30" Rows="5" TextMode="MultiLine" runat="server" />
		</td>
	</tr>
	<tr>
		<td class="SubHead" valign="top" width="150">
			<dnn:label id="plRationale" runat="server" controlname="txtRationale" suffix=":" Text="Rationale:"></dnn:label>
		</td>
		<td>
			<asp:TextBox id="txtRationale" CssClass="NormalTextBox" width="300" Columns="30" Rows="5" TextMode="MultiLine" runat="server" />
		</td>
	</tr>
	<tr>
		<td class="SubHead" valign="top" width="150">
			<dnn:label id="plSolution" runat="server" controlname="txtSolution" suffix=":" Text="Solution:"></dnn:label>
		</td>
		<td>
			<asp:TextBox id="txtSolution" CssClass="NormalTextBox" width="300" Columns="30" Rows="5" TextMode="MultiLine" runat="server" />
		</td>
	</tr>
	<tr>
		<td class="SubHead" valign="top" width="150">
			<dnn:label id="plImpact" runat="server" controlname="txtImpact" suffix=":" Text="Impact:"></dnn:label>
		</td>
		<td>
			<asp:TextBox id="txtImpact" CssClass="NormalTextBox" width="300" Columns="30" Rows="5" TextMode="MultiLine" runat="server" />
		</td>
	</tr>
	<tr>
		<td class="SubHead" valign="top" width="150">
			<dnn:label id="plRisk" runat="server" controlname="txtRisk" suffix=":" Text="Risk:"></dnn:label>
		</td>
		<td>
			<asp:TextBox id="txtRisk" CssClass="NormalTextBox" width="300" Columns="30" Rows="5" TextMode="MultiLine" runat="server" />
		</td>
	</tr>
</table>
<p>
	<asp:LinkButton id="cmdUpdate" Text="Update" CausesValidation="False" runat="server" CssClass="CommandButton" BorderStyle="none" resourceKey="cmdUpdate" />
	&nbsp;
	<asp:LinkButton id="cmdCancel" Text="Cancel" CausesValidation="False" runat="server" CssClass="CommandButton" BorderStyle="none" resourceKey="cmdCancel" />
	&nbsp;
	<asp:LinkButton id="cmdDelete" Text="Delete" CausesValidation="False" runat="server" CssClass="CommandButton" BorderStyle="none" resourceKey="cmdDelete" />
</p>
<asp:Panel ID="pnlSummary" Runat="server">
	<table width="500" cellspacing="0" cellpadding="0" border="0">
		<tr valign="top">
			<td class="SubHead" width="150"><dnn:label id="plCreatedDate" runat="server" controlname="lblCreatedDate" suffix=":" Text="Created Date:"></dnn:label></td>
			<td>
				<asp:Label ID="lblCreatedDate" Runat="server" CssClass="Normal"></asp:Label>
			</td>
		</tr>
		<tr valign="top">
			<td class="SubHead" width="150"><dnn:label id="plVotes" runat="server" controlname="lblVotes" suffix=":" Text="Votes:"></dnn:label></td>
			<td>
				<asp:Label ID="lblVotes" Runat="server" CssClass="Normal"></asp:Label>
			</td>
		</tr>
		<tr valign="top">
			<td class="SubHead" width="150"><dnn:label id="plComments" runat="server" controlname="lblComments" suffix=":" Text="Comments:"></dnn:label></td>
			<td>
				<asp:Label ID="lblComments" Runat="server" CssClass="Normal"></asp:Label>
			</td>
		</tr>
	</table>
</asp:Panel>
<br /><hr />
<asp:Label ID="lblCommentsHeading" runat="server" CssClass="Head" resourcekey="lblCommentsHeading"></asp:Label>
<asp:DataList id="lstComments" runat="server" CellPadding="4" CellSpacing="4">
<ItemTemplate>
    <asp:Label ID="lblComment" runat="server" CssClass="Normal"/>
</ItemTemplate>
</asp:DataList>

