'
' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2010
' by DotNetNuke Corporation
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'


Imports System
Imports System.Configuration
Imports System.Data
Imports DotNetNuke

Namespace DotNetNuke.Modules.Roadmap

    Public Class EnhancementInfo

        ' local property declarations
        Private _EnhancementID As Integer
        Private _ModuleId As Integer
        Private _Title As String
        Private _Description As String
        Private _URL As String
        Private _Problem As String
        Private _Rationale As String
        Private _Solution As String
        Private _Impact As String
        Private _Risk As String
        Private _Authorized As Boolean
        Private _Scheduled As String
        Private _Delivered As String
        Private _UserId As Integer
        Private _CreatedDate As Date
        Private _Votes As Integer
        Private _Comments As Integer
        Private _DisplayName As String

        ' initialization
        Public Sub New()
        End Sub

        ' public properties
        Public Property EnhancementID() As Integer
            Get
                Return _EnhancementID
            End Get
            Set(ByVal Value As Integer)
                _EnhancementID = Value
            End Set
        End Property

        Public Property ModuleId() As Integer
            Get
                Return _ModuleId
            End Get
            Set(ByVal Value As Integer)
                _ModuleId = Value
            End Set
        End Property

        Public Property Title() As String
            Get
                Return _Title
            End Get
            Set(ByVal Value As String)
                _Title = Value
            End Set
        End Property

        Public Property URL() As String
            Get
                Return _URL
            End Get
            Set(ByVal Value As String)
                _URL = Value
            End Set
        End Property

        Public Property Description() As String
            Get
                Return _Description
            End Get
            Set(ByVal Value As String)
                _Description = Value
            End Set
        End Property

        Public Property Problem() As String
            Get
                Return _Problem
            End Get
            Set(ByVal Value As String)
                _Problem = Value
            End Set
        End Property
        Public Property Rationale() As String
            Get
                Return _Rationale
            End Get
            Set(ByVal Value As String)
                _Rationale = Value
            End Set
        End Property
        Public Property Solution() As String
            Get
                Return _Solution
            End Get
            Set(ByVal Value As String)
                _Solution = Value
            End Set
        End Property
        Public Property Impact() As String
            Get
                Return _Impact
            End Get
            Set(ByVal Value As String)
                _Impact = Value
            End Set
        End Property
        Public Property Risk() As String
            Get
                Return _Risk
            End Get
            Set(ByVal Value As String)
                _Risk = Value
            End Set
        End Property
        Public Property Authorized() As Boolean
            Get
                Return _Authorized
            End Get
            Set(ByVal Value As Boolean)
                _Authorized = Value
            End Set
        End Property

        Public Property Scheduled() As String
            Get
                Return _Scheduled
            End Get
            Set(ByVal Value As String)
                _Scheduled = Value
            End Set
        End Property

        Public Property Delivered() As String
            Get
                Return _Delivered
            End Get
            Set(ByVal Value As String)
                _Delivered = Value
            End Set
        End Property

        Public Property UserId() As Integer
            Get
                Return _UserID
            End Get
            Set(ByVal Value As Integer)
                _UserId = Value
            End Set
        End Property

        Public Property CreatedDate() As Date
            Get
                Return _CreatedDate
            End Get
            Set(ByVal Value As Date)
                _CreatedDate = Value
            End Set
        End Property

        Public Property Votes() As Integer
            Get
                Return _Votes
            End Get
            Set(ByVal Value As Integer)
                _Votes = Value
            End Set
        End Property

        Public Property Comments() As Integer
            Get
                Return _Comments
            End Get
            Set(ByVal Value As Integer)
                _Comments = Value
            End Set
        End Property

        Public Property DisplayName() As String
            Get
                Return _DisplayName
            End Get
            Set(ByVal Value As String)
                _DisplayName = Value
            End Set
        End Property
    End Class

End Namespace

